# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Function Namespace JXG.Server

↳ JXG.Server

JXG.Server namespace holding functions to load JXG server modules.
Defined in: Server.js.

Function Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.Server()

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> <static> | JXG.Server.runningCalls Stores all asynchronous calls to server which aren't finished yet.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | JXG.Server.callServer(action, callback, data, sync) The main method of JXG.Server.
<static> | JXG.Server.handleError(data) Handles errors, just a default implementation, can be overwritten by you, if you want to handle errors by yourself.
<static> | JXG.Server.loadModule(module) Loads a module from the server.
<static> | JXG.Server.loadModule_cb(data) Callback for the default action 'load'.

Function Namespace Detail
JXG.Server()
Field Detail
<private> <static> JXG.Server.runningCalls
Stores all asynchronous calls to server which aren't finished yet.
Method Detail
<static> JXG.Server.callServer(action, callback, data, sync)
The main method of JXG.Server. Actually makes the calls to the server and parses the feedback.

Parameters:
{string} action
  Can be 'load' or 'exec'.
{function} callback
  Function pointer or anonymous function which takes as it's only argument an object containing the data from the server. The fields of this object depend on the reply of the server module. See the correspondings server module readme.
{object} data
  What is to be sent to the server.
{boolean} sync
  If the call should be synchronous or not.

<static> JXG.Server.handleError(data)
Handles errors, just a default implementation, can be overwritten by you, if you want to handle errors by yourself.

Parameters:
{object} data
  An object holding a field of type string named message handling the error described in the message string.

<static> JXG.Server.loadModule(module)
Loads a module from the server.

Parameters:
{string} module
  A string containing the module. Has to match the filename of the Python module on the server exactly including lower and upper case letters without the file ending .py.

<static> JXG.Server.loadModule_cb(data)
Callback for the default action 'load'.

Parameters:
data

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:09 GMT+0200 (MESZ)